Package ru.bitel.bgbilling.plugins.organizer.server.bean

# Class OrganizerRecord

java.lang.Object
ru.bitel.bgbilling.plugins.organizer.server.bean.OrganizerRecord

    public class OrganizerRecord
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OrganizerRecord()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCid()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getCompleteDate()` |
  `int` | `getCompleteUid()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getCreationDate()` |
  `int` | `getId()` |
  `Period` | `getPeriod()` |
  `java.lang.String` | `getStatus()` |
  `java.lang.String` | `getTitle()` |
  `int` | `getTodoGid()` |
  `java.lang.String` | `getTodoGroup()` |
  `int` | `getTodoUid()` |
  `java.lang.String` | `getTodoUserName()` |
  `int` | `getUid()` |
  `java.lang.String` | `getUserName()` |
  `java.lang.String` | `getWhoCompleted()` |
  `boolean` | `isDone()` |
  `void` | `setCid​(int cid)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setCompleteDate​(java.util.Date completeDate)` |
  `void` | `setCompleteUid​(int completeUid)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setCreationDate​(java.util.Date creationDate)` |
  `void` | `setDone​(boolean done)` |
  `void` | `setId​(int id)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setStatus​(java.lang.String status)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setTodoGid​(int gid)` |
  `void` | `setTodoGroup​(java.lang.String group)` |
  `void` | `setTodoUid​(int todoUid)` |
  `void` | `setTodoUserName​(java.lang.String todoUserName)` |
  `void` | `setUid​(int uid)` |
  `void` | `setUserName​(java.lang.String userName)` |
  `void` | `setWhoCompleted​(java.lang.String whoCompleted)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrganizerRecord

    public OrganizerRecord()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isDone

    public boolean isDone()

  - ### setDone

    public void setDone​(boolean done)

  - ### getTodoGid

    public int getTodoGid()

  - ### setTodoGid

    public void setTodoGid​(int gid)

  - ### getTodoGroup

    public java.lang.String getTodoGroup()

  - ### setTodoGroup

    public void setTodoGroup​(java.lang.String group)

  - ### getUid

    public int getUid()

  - ### setUid

    public void setUid​(int uid)

  - ### getCreationDate

    public java.util.Date getCreationDate()

  - ### setCreationDate

    public void setCreationDate​(java.util.Date creationDate)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getTodoUid

    public int getTodoUid()

  - ### setTodoUid

    public void setTodoUid​(int todoUid)

  - ### getUserName

    public java.lang.String getUserName()

  - ### setUserName

    public void setUserName​(java.lang.String userName)

  - ### getTodoUserName

    public java.lang.String getTodoUserName()

  - ### setTodoUserName

    public void setTodoUserName​(java.lang.String todoUserName)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### getStatus

    public java.lang.String getStatus()

  - ### setStatus

    public void setStatus​(java.lang.String status)

  - ### getCompleteUid

    public int getCompleteUid()

  - ### setCompleteUid

    public void setCompleteUid​(int completeUid)

  - ### getWhoCompleted

    public java.lang.String getWhoCompleted()

  - ### setWhoCompleted

    public void setWhoCompleted​(java.lang.String whoCompleted)

  - ### getCompleteDate

    public java.util.Date getCompleteDate()

  - ### setCompleteDate

    public void setCompleteDate​(java.util.Date completeDate)